<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.microprofile-config-smallrye.config-source" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="class,dir,ordinal,properties"/>
        <elem name="addr-params" value="profile,subsystem,config-source"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.microprofile-config-smallrye"/>
    </annotation>
    <requires>
        <capability name="$profile.org.wildfly.management.path-manager" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.microprofile-config-smallrye"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="microprofile-config-smallrye"/>
        <param name="config-source" feature-id="true"/>
        <param name="dir" nillable="true" stability="default"/>
        <param name="class" nillable="true" stability="default"/>
        <param name="properties" nillable="true" stability="default"/>
        <param name="ordinal" nillable="true" stability="default"/>
    </params>
</feature-spec>